# getPodProcessors method

1. @override

List<PodProcessor> getPodProcessors()
override

Retrieves all registered pod-aware processors.

## Usage Example:

    final processors = factory.getPodProcessors();
    for (final processor in processors) {
      processor.processBeforeInitialization();
    }

@return A list of all registered pod-aware processors

## Implementation

    @override
    List<PodProcessor> getPodProcessors() {
      final list = List<PodProcessor>.from(getPodFactory().getPodProcessors());

      if (_parent != null) {
        list.addAll(_parent!.getPodFactory().getPodProcessors());
      }

      return list;
    }